#!/bin/bash

# showfree v0.1
# -------------
# Made by request (more or less), this script will make a dir, file or echo a
# string into .message, stating how much space is left in the dir.
#
# commands needed in path: bash df grep cat mkdir chmod chown echo
#
# this script should be run by root - if not make sure chown has the sticky
# bit (+s) set. Either config glftpd to run this after every upload, or run
# it as a cronjob, like this:
# */5 * * * * /path/to/script

###############################################################################

# config
#-------

# sectionname
section="MP3"

# path to section"
pathname="/glftpd/site/MP3"

# temporary dir
temp="/glftpd/temp"

# dir (D), .message (M) or file (F)
type="D"
#type="M"
#type="F"

# owner of the dir/file
ouser=130
ogroup=1000

######

free="`df -h $pathname | grep / | { read crap crap crap free crap; echo $free; };`""B"
if [ -e $temp/psxc-showfree.txt ]; then
  rm -fR `cat $temp/psxc-showfree.txt`
fi
string="_""$free"".free.in.""$section""_"
if [ "$type" = "D" ]; then
  mkdir $pathname/$string
  chmod 666 $pathname/$string
  chown $ouser:$ogroup $pathname/$string
  echo "$pathname/$string" > $temp/psxc-showfree.txt
elif [ "$type" = "F" ]; then
  touch $pathname/$string
  chmod 666 $pathname/$string
  chown $ouser:$ogroup $pathname/$string
  echo "$pathname/$string" > $temp/psxc-showfree.txt
else
  echo $string >> $pathname/.message
  chmod 666 $pathname/.message
  chown $ouser:$ogroup $pathname/.message
  echo "$pathname/.message" > $temp/psxc-showfree.txt
fi
exit 0

